﻿
timeConverter = WinJS.Binding.converter(function (milliSeconds) {
    currentDateTime = new Date(milliSeconds);
    hour = PrependZeroIfNeeded(currentDateTime.getHours() % 12);
    minutes = PrependZeroIfNeeded(currentDateTime.getMinutes());
    seconds = PrependZeroIfNeeded(currentDateTime.getSeconds());
    return hour + ":" + minutes + ":" + seconds;
});

var monthAsString = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];

dayMonthConverter = WinJS.Binding.converter(function (milliSeconds) {
    currentDateTime = new Date(milliSeconds);
    month = currentDateTime.getMonth();
    date = PrependZeroIfNeeded(currentDateTime.getDate());
    return date + " " + monthAsString[month];
});

var dayOfWeekAsString = ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];

dayOfWeekConverter = WinJS.Binding.converter(function (milliSeconds) {
    currentDateTime = new Date(milliSeconds);
    var dow = currentDateTime.getDay();
    return dayOfWeekAsString[dow];
});

ampmConverter = WinJS.Binding.converter(function (milliSeconds) {
    currentDateTime = new Date(milliSeconds);
    hour = PrependZeroIfNeeded(currentDateTime.getHours());
    if (hour >= 12) {
        return "PM";
    }
    return "AM";
});